> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除密钥

> 删除 API key。只能删除未用于对当前活动请求进行身份验证的 key。



## OpenAPI

````yaml /zh/_specs/cloud-openapi.json delete /v1/organizations/{organizationId}/keys/{keyId}
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/keys/{keyId}:
    delete:
      tags:
        - OpenAPI
      summary: 删除密钥
      description: 删除 API key。只能删除未用于对当前活动请求进行身份验证的 key。
      parameters:
        - description: 拥有该 key 的 organization 的 ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 要删除的 key 的 ID。
          in: path
          name: keyId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 分配给每个请求的唯一 ID。UUIDv4
                    format: uuid
                    type: string
                  status:
                    description: HTTP status 代码。
                    example: 200
                    type: number
                type: object
          description: 成功响应
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 详细 error 描述。
                    type: string
                  status:
                    description: HTTP status 代码。
                    example: 400
                    type: number
                type: object
          description: 由于存在被视为客户端错误的问题，server 无法或不愿处理该请求。
components:
  securitySchemes:
    basicAuth:
      description: >-
        使用从 ClickHouse Cloud 控制台获取的 key ID 和 key
        secret：https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````